#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    string s1,s2;
    int br=0;
    cin>>s1>>s2;
    if(s2=="ab"){
        int p1,p2,a=0,b=0;
        char k;
        for(int i=0;i<s1.size();i++){
            if(s1[i]=='a'){
                p1=i;
                break;
            }
        }
         for(int i=s1.size()-1;i>=0;i--){
            if(s1[i]=='b'){
                p2=i;
                break;
            }
        }
        for(int i=p1;i<=p2;i++){
            if(s1[i]=='a')
                a++;
            if(s1[i]=='b')
                b++;
        }
        if(a>b)
            k='b';
        else
            k='a';
        br=min(a,b);
        cout<<br<<"\n";
        for(int i=0;i<p1;i++)
            cout<<s1[i];
        for(int i=p1;i<=p2;i++){
            if(s1[i]==k && br>0){
                cout<<"*";
                br--;
            }
            else
                cout<<s1[i];
        }
        for(int i=p2+1;i<s1.size();i++)
            cout<<s1[i];
    }
    else{
        for(int i=0;i<s1.size();i++)
            if(s1[i]=='a')
                br++;
        br=br-s2.size()+1;
        cout<<max(0,br)<<"\n";
        for(int i=0;i<s1.size();i++){
            if(s1[i]=='a' && br>0){
                cout<<"*";
                br--;
            }
            else
                cout<<s1[i];
        }
    }
    return 0;
}